DIR=/usr/lib/linux-u-boot-edge-orangepi3b
write_uboot_platform () 
{ 
    dd if=${1}/u-boot-rockchip.bin of=${2} bs=32k seek=1 conv=fsync
}
write_uboot_platform_mtd () 
{ 
    declare -a extra_opts_flashcp=("--verbose");
    if flashcp -h | grep -q -e '--partition'; then
        echo "Confirmed flashcp supports --partition -- read and write only changed blocks." 1>&2;
        extra_opts_flashcp+=("--partition");
    else
        echo "flashcp does not support --partition, will write full SPI flash blocks." 1>&2;
    fi;
    flashcp "${extra_opts_flashcp[@]}" "${1}/u-boot-rockchip-spi.bin" /dev/mtd0
}
setup_write_uboot_platform () 
{ 
    if grep -q "ubootpart" /proc/cmdline; then
        local tmp=$(cat /proc/cmdline);
        tmp="${tmp##*ubootpart=}";
        tmp="${tmp%% *}";
        [[ -n $tmp ]] && local part=$(findfs PARTUUID=$tmp 2> /dev/null);
        [[ -n $part ]] && local dev=$(lsblk -n -o PKNAME $part 2> /dev/null);
        [[ -n $dev ]] && DEVICE="/dev/$dev";
    fi
}
